Docs

Get a recurring rule

GET /api/v1/programmatic/recurring-rules/{id}

GET/api/v1/programmatic/recurring-rules/{id}
Recurringv1recurring:read

Returns one recurring rule from the PAT workspace.

Parameters

NameInType Description
idpathstringRequired Recurring rule identifier. <id>

Code examples

curl --request GET \
  --url 'https://api.tetri.app/api/v1/programmatic/recurring-rules/<id>' \
  --header 'Authorization: Bearer $TETRI_API_TOKEN'

Responses

200The requested recurring rule.
{
  "data": {
    "id": "<uuid>",
    "created_by_user_id": "<uuid>",
    "name": "<string>",
    "raw_name": "<string>",
    "is_system_seed": false,
    "system_seed_key": "<string>",
    "system_seed_source": "<string>",
    "name_customized": false,
    "type": "expense",
    "kind": "rule",
    "amount": "49.99",
    "currency_id": "<uuid>",
    "currency_code": "USD",
    "currency_symbol": "$",
    "account_id": "<uuid>",
    "account_name": "<string>",
    "destination_account_id": "<uuid>",
    "destination_account_name": "<string>",
    "category_id": "<uuid>",
    "category_name": "<string>",
    "frequency": "monthly",
    "custom_interval_days": 0,
    "start_date": "2026-07-12",
    "end_date": "2026-07-12",
    "next_occurrence_date": "2026-07-12",
    "status": "active",
    "paused_at": "2026-07-12T12:00:00Z",
    "auto_create": false,
    "catalog_item_id": "<uuid>",
    "billing_url": "<string>",
    "icon": "<string>",
    "icon_url": "<string>",
    "accent_color": "sky",
    "external_id": "<string>",
    "notes": "<string>",
    "version": 0,
    "created_at": "2026-07-12T12:00:00Z",
    "updated_at": "2026-07-12T12:00:00Z",
    "created_by": {}
  }
}
400Request parameters or payload failed validation. Inspect `code` and `message`.
{
  "statusCode": 400,
  "code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
  "message": "<string>",
  "error": "Bad Request",
  "request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}
401The personal access token is missing, invalid, expired, or revoked.
{
  "statusCode": 400,
  "code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
  "message": "<string>",
  "error": "Bad Request",
  "request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}
403The token lacks the required scope or no longer has workspace access.
{
  "statusCode": 400,
  "code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
  "message": "<string>",
  "error": "Bad Request",
  "request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}
404The resource does not exist in the token workspace or is not visible to this API.
{
  "statusCode": 400,
  "code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
  "message": "<string>",
  "error": "Bad Request",
  "request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}
429The credential exceeded its request rate limit.
{
  "statusCode": 400,
  "code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
  "message": "<string>",
  "error": "Bad Request",
  "request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}